=== debian/changelog ===
memtest86 (2.9-1) unstable; urgency=low

  * New upstream release, including bugfixes for testing more than 2GB,
    and changes to the way it looks for memory to be tested.

 -- Yann Dirson <dirson@debian.org>  Sat,  9 Mar 2002 15:50:43 +0100

memtest86 (2.8a-2) unstable; urgency=low

  * Fixed typo in description (Closes: #125126).
  * Added sample grub menu entry (Closes: #127399).
  * Upgraded standards-version to 3.5.6 - no change.

 -- Yann Dirson <dirson@debian.org>  Wed, 30 Jan 2002 22:14:28 +0100

memtest86 (2.8a-1) unstable; urgency=low

  * New upstream release - serial console is disabled by default now, it
    made testing sooo sllooow.

 -- Yann Dirson <dirson@debian.org>  Sat, 24 Nov 2001 15:32:32 +0100

memtest86 (2.7-1) unstable; urgency=low

  * New upstream release (Closes: #110541).
  * Suggest sysutils, not memtest (Closes: #102244).
  * Offer in postinst to run lilo.  Interactive, but then postinst of lilo
    and of kernel-image are - we need a global solution anyway.
    Closes: #109833.

 -- Yann Dirson <dirson@debian.org>  Mon,  3 Sep 2001 23:13:32 +0200

memtest86 (2.6-1) unstable; urgency=low

  * First release to be packaged out of the hwtools package.
  * Install as /boot/memtest86.bin.
  * Added sample lilo.conf entry as example.

 -- Yann Dirson <dirson@debian.org>  Thu, 21 Jun 2001 01:19:05 +0200
