=== debian/control ===
Source: memtest86
Section: misc
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>> 3.0.0), bin86
Standards-Version: 3.5.6

Package: memtest86
Architecture: i386
Suggests: hwtools, sysutils, kernel-patch-badram
Description: A thorough real-mode memory tester.
 Memtest86 scans your RAM for errors.
 .
 This tester runs independently of any OS - it is run at computer
 boot-up, so that it can test *all* of you memory.  You may want to
 look at `memtest' (in package `sysutils'), which allows to test
 your memory within Linux, but this one won't be able to test your
 whole RAM.
 .
 This used to be part of the hwtools package, which still contains
 another real-mode memory tester optimized for mmx machines (but less
 actively maintained).
 .
 It can output a list of bad RAM regions usable by the BadRAM kernel
 patch, so that you can still use you old RAM with one or 2 bad bits.
