## memtest86 4.0s

=== Makefile ===
--- 
+++ 
@@ -11,16 +11,13 @@
 AS=as -32
 CC=gcc
 
-CFLAGS= -Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin -ffreestanding -fPIC $(SMP_FL)
+CFLAGS= -Wall -march=i486 -m32 -O1 -fomit-frame-pointer -fno-builtin \
+	-ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
 
 OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o \
-      config.o linuxbios.o memsize.o pci.o controller.o random.o extra.o \
-      spd.o error.o dmi.o smp.o cpuid.o
+      config.o linuxbios.o memsize.o error.o smp.o cpuid.o vmem.o random.o
 
 all: clean memtest.bin memtest
-
-smp:
-	make SMP_FL=-DSMP
 
 # Link it statically once so I know I don't have undefined
 # symbols and then link it dynamically so I have full
@@ -53,15 +50,18 @@
 	$(CC) -c $(CFLAGS) -fno-strict-aliasing reloc.c
 
 test.o: test.c
-	$(CC) -c -Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin -ffreestanding test.c
+	$(CC) -c -Wall -march=i486 -m32 -O0 -fomit-frame-pointer -fno-builtin -ffreestanding test.c
+
+random.o: random.c
+	$(CC) -c -Wall -march=i486 -m32 -O3 -fomit-frame-pointer -fno-builtin -ffreestanding random.c
 
 clean:
-	rm -f *.o *.s *.iso memtest.bin memtest memtest_shared memtest_shared.bin
+	rm -f *.o *.s *.iso memtest.bin memtest memtest_shared \
+		memtest_shared.bin memtest.iso
 
 iso:
 	make all
 	./makeiso.sh
-	rm -f *.o *.s memtest.bin memtest memtest_shared memtest_shared.bin
 
 install: all
 	dd <memtest.bin >$(FDISK) bs=8192
