## memtest86 4.3.7

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	-ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
 
 OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o \
-      config.o linuxbios.o memsize.o error.o smp.o cpuid.o vmem.o random.o
+      config.o memsize.o error.o smp.o cpuid.o vmem.o random.o
 
 all: clean memtest.bin memtest
