=== debian/changelog ===
memtest86 (4.3.7-3) unstable; urgency=medium

  * Switch to source format "3.0 (quilt)".
  * Build with -fgnu89-inline for GCC 5 (Matthias Klose, Closes: #778000)

 -- Yann Dirson <dirson@debian.org>  Thu, 25 Jun 2015 18:24:37 +0200

memtest86 (4.3.7-2) unstable; urgency=medium

  * Update extended description and README.Debian to make it clear that
    later versions are not DFSG-free.
  * Upgrade "Suggests: memtest86+" to a "Recommends:".
  * Make it explicit that make-memtest86-boot-floppy only works with
    grub-legacy, and point to memtest86+.iso as alternative.
  * Documented hairy source-download process in debian/copyright and
    list the new copyright holder.

 -- Yann Dirson <dirson@debian.org>  Tue, 10 Mar 2015 21:21:52 +0100

memtest86 (4.3.7-1) unstable; urgency=medium

  * New upstream release, and as it seems the last Free/OpenSource one.
  * Updated debconf l10n for Slovak (Ivan Masár, Closes: #677917).
  * New debconf l10n (Mert Dirik, Closes: #757507).

 -- Yann Dirson <dirson@debian.org>  Sat, 11 Oct 2014 16:46:24 +0200

memtest86 (4.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Wed, 04 Dec 2013 21:47:15 +0100

memtest86 (4.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Nov 2013 17:24:11 +0100

memtest86 (4.3.4-1) unstable; urgency=low

  * New upstream release, now available again directly from download dir.

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Nov 2013 23:14:03 +0100

memtest86 (4.3.3-1) unstable; urgency=low

  * New upstream release, still extracted from upstream's unversionned
    memtest86-iso.gz.

 -- Yann Dirson <dirson@debian.org>  Thu, 19 Sep 2013 23:26:50 +0200

memtest86 (4.3.2-1) unstable; urgency=low

  * New upstream release, painfully extracted from upstream's unversionned
    memtest86-iso.gz.  Upstream contacted about the issue.  Kept
    debian/watch in the hope that it will be working againt soon...
  * Updated debian/watch to at least see the (older) versionned source
    files there.

 -- Yann Dirson <dirson@debian.org>  Wed, 04 Sep 2013 22:03:29 +0200

memtest86 (4.0s-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMUs.

 -- Yann Dirson <dirson@debian.org>  Sun, 13 May 2012 23:18:23 +0200

memtest86 (4.0a-0.1) unstable; urgency=low

  * Non-maintainer upload, with maintainer's permission.
  * New upstream version (Closes: #622395):
    - Support machines with >= 4GB of RAM.  Closes: #522525, #572347, #582610,
      #647756. 
    - Fix build with -O3.  Closes: #389258.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Jan 2012 23:49:59 +0100

memtest86 (3.5-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #574435
    - Spanish (Ricardo Fraile).  Closes: #575646
    - Brazilian Portuguese (Fábio Antonio Ferreira).  Closes: #598637
    - Danish (Joe Hansen).  Closes: #621876
    - Slovak (Slavko).  Closes: #622097
    - Dutch; (Jeroen Schot).  Closes: #622755
  * Fix grammar error in package description ("allows _to_ <infinitive>")

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Oct 2011 02:13:27 +0200

memtest86 (3.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #562628
    - Portuguese (Américo Monteiro).  Closes: #563017
    - German (Thomas Mueller).  Closes: #563287
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #564290
    - French (Christian Perrier).  Closes: #564429
    - Swedish (Martin Bagge).  Closes: #564469
    - Czech (Michal Simunek).  Closes: #573192
    - Italian (Vincenzo Campanella).  Closes: #573826

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Mar 2010 17:24:50 +0100

memtest86 (3.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace manual prompt with debconf (Closes: #553291).
  * Compute the grub entry (either 'linux' or 'linux16') depending on
    whether we find the old or new grub lib file, to support upgrades
    from lenny
  * Fix "please source grub-mkconfig_lib instead of deprecated update-
    grub_lib in /etc/grub.d/20_memtest86", also via the above mechanism
    (Closes: #523114)
  * Update suggests to a recent version of grub2
  * Add a lintian override for statically-linked-binary (which is expected)

 -- Iustin Pop <iusty@k1024.org>  Sun, 06 Dec 2009 12:17:12 +0100

memtest86 (3.5-2) unstable; urgency=low

  * Sync'd packaging with memtest86+ 2.11-3.

 -- Yann Dirson <dirson@debian.org>  Sun, 01 Mar 2009 17:14:17 +0100

memtest86 (3.5-1) unstable; urgency=low

  * New upstream release.
  * Add Homepage in control file.
  * Bumped Standards-Version to 3.8.0.
  * Sync'd package with memtest86+ 2.11-2:
    * Added hurd-i386 as architecture (Closes: #482898).
    * Fixed finding boot image in grub script for newer grub.
    * Run update-grub2 from postrm only if /boot/grub/grub.cfg is present.
    * Use better idiom for safely calling "make clean".
    * Install elf image for use with kexec and such.
    * Depend on ${misc:Depends}
    * Update make-memtest86-boot-floppy (Closes: #504834).

 -- Yann Dirson <dirson@debian.org>  Mon, 09 Feb 2009 23:14:16 +0100

memtest86 (3.4-2) unstable; urgency=low

  * Call $(AS) with --32 (Hopefully closes: #462003).
  * Call update-grub2, not update-grub, in postinst, and also call it in
    postrm (Closes: #460079).

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Mar 2008 21:06:26 +0100

memtest86 (3.4-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/watch for new site layout (Closes: #450068).
  * Applied patch from Hiroyuki Yamamoto to run update-grub if available
    (Closes: #457636).
  * Install /etc/grub.d/20_memtest86 from Robert Millan, suggests grub2
    (Closes: #422356).
  * Sync with memtest86+ packaging:
    * support for kfreebsd-*
    * removed bashisms in postinst


