=== debian/watch ===
version=3
http://www.memtest86.com/downloads/ memtest86-(\d[\d.\w]*)-src\.tar\.gz
